Update stream status
curl --request POST \
--url https://api.moralis-streams.com/streams/evm/{id}/status \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{
"status": {}
}'import requests
url = "https://api.moralis-streams.com/streams/evm/{id}/status"
payload = { "status": {} }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: {}})
};
fetch('https://api.moralis-streams.com/streams/evm/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.moralis-streams.com/streams/evm/{id}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'status' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.moralis-streams.com/streams/evm/{id}/status"
payload := strings.NewReader("{\n \"status\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.moralis-streams.com/streams/evm/{id}/status")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"status\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.moralis-streams.com/streams/evm/{id}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"status\": {}\n}"
response = http.request(request)
puts response.read_body{
"webhookUrl": "<string>",
"description": "<string>",
"chainIds": [
"<string>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": {},
"statusMessage": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"amountOfAddresses": 123,
"tag": "<string>",
"topic0": [
"<string>"
],
"allAddresses": true,
"includeNativeTxs": true,
"includeContractLogs": true,
"includeInternalTxs": true,
"includeAllTxLogs": true,
"getNativeBalances": [
{
"selectors": [
"<string>"
],
"type": "tx"
}
],
"abi": null,
"advancedOptions": null,
"filterPossibleSpamAddresses": true,
"demo": true,
"triggers": [
{
"type": "tx",
"contractAddress": "<string>",
"functionAbi": {},
"inputs": [
"<string>"
],
"topic0": "<string>",
"callFrom": "<string>"
}
]
}Streams
Update Stream Status
Updates the status of specific evm stream.
POST
/
streams
/
evm
/
{id}
/
status
Update stream status
curl --request POST \
--url https://api.moralis-streams.com/streams/evm/{id}/status \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{
"status": {}
}'import requests
url = "https://api.moralis-streams.com/streams/evm/{id}/status"
payload = { "status": {} }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: {}})
};
fetch('https://api.moralis-streams.com/streams/evm/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.moralis-streams.com/streams/evm/{id}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'status' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.moralis-streams.com/streams/evm/{id}/status"
payload := strings.NewReader("{\n \"status\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.moralis-streams.com/streams/evm/{id}/status")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"status\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.moralis-streams.com/streams/evm/{id}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"status\": {}\n}"
response = http.request(request)
puts response.read_body{
"webhookUrl": "<string>",
"description": "<string>",
"chainIds": [
"<string>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": {},
"statusMessage": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"amountOfAddresses": 123,
"tag": "<string>",
"topic0": [
"<string>"
],
"allAddresses": true,
"includeNativeTxs": true,
"includeContractLogs": true,
"includeInternalTxs": true,
"includeAllTxLogs": true,
"getNativeBalances": [
{
"selectors": [
"<string>"
],
"type": "tx"
}
],
"abi": null,
"advancedOptions": null,
"filterPossibleSpamAddresses": true,
"demo": true,
"triggers": [
{
"type": "tx",
"contractAddress": "<string>",
"functionAbi": {},
"inputs": [
"<string>"
],
"topic0": "<string>",
"callFrom": "<string>"
}
]
}Path Parameters
The id of the stream to update Stringified UUIDv4. See RFC 4112
Pattern:
[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}Body
application/json
Provide a Stream Model
Response
200 - application/json
Ok

